For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
ContactLearn More
GuidesReferenceSamplesLicenseChangelog
GuidesReferenceSamplesLicenseChangelog
  • SDKs
    • Overview
  • REST
      • GETList objects
      • GETList locally-deleted force-distributed objects
      • GETGet object
      • POSTUpload object
      • DELDelete object
      • HEADGet object metadata
  • gRPC
ContactLearn More
RESTObjects

Delete object

Beta
DELETE
https://example.developer.anduril.com/api/v1/objects/:objectPath
DELETE
/api/v1/objects/:objectPath
$curl -X DELETE https://example.developer.anduril.com/api/v1/objects/objectPath \
> -H "Authorization: Bearer <token>"
Deletes an object from your environment given the objectPath path parameter.
Was this page helpful?
Previous

Get object metadata

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

objectPathstringRequiredformat: "^[a-zA-Z0-9/_=\-.]*$"
The path of the object to delete.

Response

Successful operation

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error